## rust-sha-1 0.8.1

=== debian/changelog ===
rust-sha-1 (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Package sha-1 0.8.1 from crates.io using debcargo 2.2.10
  * Source upload for migration

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Aug 2019 18:25:40 +0200

rust-sha-1 (0.8.1-1) unstable; urgency=medium

  * Package sha-1 0.8.1 from crates.io using debcargo 2.2.10

 -- kpcyrd <git@rxv.cc>  Mon, 22 Apr 2019 10:29:07 +0200
