=== debian/control ===
Source: rust-sha-1
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 15),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-block-buffer-0.7+default-dev <!nocheck>,
 librust-digest-0.8+default-dev <!nocheck>,
 librust-digest-0.8+std-dev <!nocheck>,
 librust-fake-simd-0.1+default-dev <!nocheck>,
 librust-opaque-debug-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sha-1]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sha-1

Package: librust-sha-1-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-block-buffer-0.7+default-dev,
 librust-digest-0.8+default-dev,
 librust-fake-simd-0.1+default-dev,
 librust-opaque-debug-0.2+default-dev
Recommends:
 librust-sha-1+std-dev (= ${binary:Version})
Suggests:
 librust-sha-1+asm-dev (= ${binary:Version}),
 librust-sha-1+sha1-asm-dev (= ${binary:Version})
Provides:
 librust-sha-1-0-dev (= ${binary:Version}),
 librust-sha-1-0.8-dev (= ${binary:Version}),
 librust-sha-1-0.8.1-dev (= ${binary:Version})
Description: SHA-1 hash function - Rust source code
 This package contains the source for the Rust sha-1 crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-sha-1+asm-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-sha-1-dev (= ${binary:Version}),
 librust-sha1-asm-0.4+default-dev
Provides:
 librust-sha-1-0+asm-dev (= ${binary:Version}),
 librust-sha-1-0.8+asm-dev (= ${binary:Version}),
 librust-sha-1-0.8.1+asm-dev (= ${binary:Version})
Description: SHA-1 hash function - feature "asm"
 This metapackage enables feature asm for the Rust sha-1 crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-sha-1+sha1-asm-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-sha-1-dev (= ${binary:Version}),
 librust-sha1-asm-0.4+default-dev
Provides:
 librust-sha-1-0+sha1-asm-dev (= ${binary:Version}),
 librust-sha-1-0.8+sha1-asm-dev (= ${binary:Version}),
 librust-sha-1-0.8.1+sha1-asm-dev (= ${binary:Version})
Description: SHA-1 hash function - feature "sha1-asm"
 This metapackage enables feature sha1-asm for the Rust sha-1 crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-sha-1+std-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-sha-1-dev (= ${binary:Version}),
 librust-digest-0.8+std-dev
Provides:
 librust-sha-1+default-dev (= ${binary:Version}),
 librust-sha-1-0+std-dev (= ${binary:Version}),
 librust-sha-1-0+default-dev (= ${binary:Version}),
 librust-sha-1-0.8+std-dev (= ${binary:Version}),
 librust-sha-1-0.8+default-dev (= ${binary:Version}),
 librust-sha-1-0.8.1+std-dev (= ${binary:Version}),
 librust-sha-1-0.8.1+default-dev (= ${binary:Version})
Description: SHA-1 hash function - feature "std"
 This metapackage enables feature std for the Rust sha-1 crate, by pulling in
 any additional dependencies needed by that feature.
